Security Only update for .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, and 4.7.1 updates for Windows 7 SP1 and Server 2008 R2 SP1 (KB 4099637)

Applies to: .NET Framework 4.7.NET Framework 4.6

Summary


This update resolves a vulnerability in Microsoft .NET Framework that could cause denial of service when .NET Framework and .NET core components process XML documents incorrectly. An attacker who has successfully exploited this vulnerability could cause a denial of service against a .NET Framework application. To learn more about this vulnerability, see Microsoft Common Vulnerabilities and Exposures CVE-2018-0765.

Additionally, this update resolves a security feature bypass vulnerability in Windows that could allow an attacker to bypass Device Guard. An attacker who successfully exploits this vulnerability could circumvent a User Mode Code Integrity (UMCI) policy on the computer. To learn more about this vulnerability, see Microsoft Common Vulnerabilities and Exposures CVE-2018-1039.

Important

  • All updates for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, and 4.7.1 require the d3dcompiler_47.dll to be installed. We recommend that you install the included d3dcompiler_47.dll before you apply this update. For more information about the d3dcompiler_47.dll, see KB 4019990.
  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Additional information about this security update


The following articles contain additional information about this security update as it relates to individual product versions:
 
  • 4095514 Description of the Security Only update for .NET Framework 3.5.1 for Windows 7 SP1 and Server 2008 R2 SP1 (KB 4095514)
  • 4095519 Description of the Security Only update for .NET Framework 4.5.2 for Windows 7 SP1, Server 2008 R2 SP1, and Server 2008 SP2 (KB 4095519)
  • 4096237 Description of the Security Only update for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1 for Windows 7 SP1 and Server 2008 R2 SP1, and for .NET Framework 4.6 for Server 2008 (KB 4096237)

How to obtain help and support for this security update